%define module	mnemo
%define name	horde-%{module}
%define version	1.1.2
%define release	1mdk
%define order	72
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:	The Horde memo application
License:	GPL
Group: 		System/Servers
Source0: 	%{module}-%{version}.tar.bz2
Source1:	%{module}-apache.conf.bz2
Source2:	%{module}-horde.conf.bz2
Patch0:		%{module}-conf-storage.patch.bz2
URL:		http://www.horde.org/nag/
Requires: 	horde >= 2.1
Provides:	%{module}
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	%{module}

%description
Mnemo is the Horde note manager application.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Nag)
please visit http://www.horde.org/.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_base}/webapps.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{ap_base}/webapps.d/%{order}_%{name}.conf

# horde configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d/%{module}.php

# install files
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{module}
cp -pR * $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}
cp -pR scripts/* $RPM_BUILD_ROOT%{_datadir}/%{module}

# post-install cleanup
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/LICENSE
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/README
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/docs
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/po

# remove .htaccess files
find $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module} -name .htaccess -exec rm -f {} \;

# activate configuration files
for file in $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/config/*.dist; do
	mv $file ${file%.dist}
done

# specific setup instructions
cat > INSTALL.mdk <<EOF
If you made an Mandrake standard horde install with MySQL, just make:
mysql --user=root --password horde < %moduldir/scripts/drivers/%{module}_memos.sql
mysqladmin --user=root --password reload
and put the horde MySQL password in
%moduldir/config/conf.php

See "CONFIGURING %{module}" in %moduldir/docs/INSTALL for further informations.
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc LICENSE README docs INSTALL.mdk
# Apache configuration file
%config(noreplace) %{ap_base}/webapps.d/%{order}_%{name}.conf
# Horde configuration file
%config(noreplace) %{ap_htdocsdir}/horde/config/registry.d/%{module}.php
# scripts
%{_datadir}/%{module}
# top level dir and files
%dir %{ap_htdocsdir}/horde/%{module}
%{ap_htdocsdir}/horde/%{module}/*.php
# standard dirs
%{ap_htdocsdir}/horde/%{module}/graphics
%{ap_htdocsdir}/horde/%{module}/lib
%{ap_htdocsdir}/horde/%{module}/templates
%{ap_htdocsdir}/horde/%{module}/locale
%{ap_htdocsdir}/horde/%{module}/util
%{ap_htdocsdir}/horde/%{module}/scripts
# config files
%dir %{ap_htdocsdir}/horde/%{module}/config
%config(noreplace) %{ap_htdocsdir}/horde/%{module}/config/*.php

%changelog
* Wed Aug 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.2-1mdk 
- new version

* Sun Jul 18 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.1-3mdk 
- apache config file in %{ap_base}/webapps.d
- pluggable horde configuration

* Thu May 06 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.1.1-2mdk
- new naming scheme

* Tue Apr 06 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.1.1-1mdk
- First Mandrakelinux release

